function getLivelist(){
    $.ajax({
        url: Baseurl+'/live/appGetLiveList?system=hushi',
        data:JSON.stringify({
            "idcard":idcard,
            "type":1
        }),
        type:'POST',
        timeout:50000,
        contentType: "application/json;charset=utf-8",
        dataType:'json',
        success:function(_obj){
            if(_obj.errorcode==1){
                //校验成功后
                var tabContent = $("#datalist0");
                var htmlstr = [];
                var data =_obj.data;
                for(var i = 0; i < data.length; i++) {
                    htmlstr.push('<div  class="listitem" data-zhiboplanid="'+data[i].zhiboPlanId+'" data-trainclass="'+data[i].trainClass+'" data-zhibostarttime="'+data[i].zhiboStarttime+'" data-zhiboendtime="'+data[i].zhiboEndtime+'" data-coachidcard="'+data[i].coachIdcard+'" data-zhibotitle="'+data[i].zhiboTitle+'" data-coachname="'+data[i].coachName+'">');
                    htmlstr.push('<div class="coach"><img class="coachimg" src="img/coachimg.png"><div  class="coachtext">');
                    htmlstr.push('<div class="theme">主题：'+ data[i].zhiboTitle +'</div><div  class="coachxing"><img class="xing"src="img/rate3.png"><div class="xingnumber">4.9</div></div>');
                    htmlstr.push('<div class="chs">科目类型：'+getTrainSubject(data[i].trainClass)+'</div>直播开始时间：<div class="livetime">'+getDate(data[i].zhiboStarttime) +'</div><div class="livetimeitem">'+getTime(data[i].zhiboStarttime)+'-'+getTime(data[i].zhiboEndtime)+' </div></div></div>');
                    htmlstr.push('<div class="coachname" style="margin-left: 10px;">讲师：'+data[i].coachName +'</div></div>');
                }
                htmlstr = htmlstr.join("");
                tabContent.append(htmlstr);
                window.jzjlive.LivelistSuccess("数据加载完成");
            }else{
                window.jzjlive.LivelistFail(_obj.message);
            }
        },
        error:function(){
            window.jzjlive.LivelistFail("查询数据错误，请稍后再试");
        }
    });
}

function getLiveUrl(data){
    var datainfo= JSON.parse(data);
    $.ajax({
        url:Baseurl+'/live/livePlay?system=hushi',
        data:JSON.stringify({
            "streamName": datainfo.streamName,
            "zhiboplanid": datainfo.zhiboplanid,
            "zhibotitle": datainfo.zhibotitle,
            "idcard": datainfo.idcard,
            "coachname": datainfo.coachname,
            "name": datainfo.name,
            "subject": datainfo.subject,
            "liveStartTime": datainfo.liveStartTime,
            "liveEndTime": datainfo.liveEndTime
        }),
        type:'POST',
        dataType:'json',
        contentType: "application/json;charset=utf-8",
        success:function(_obj){
            if(_obj.errorcode==1){
                var liveUrl= _obj.data.playUrl.flvUrl;
                datainfo.liveurl=liveUrl;
                /*var resultjson={
                    "liveurl":liveUrl,
                    "baseurl":Baseurl,
                    "subject":datainfo.subject,
                    "trainVideoType":2,
                    "name":datainfo.name,
                    "km1TotalTime":_obj.data.km1TotalTime,
                    "km4TotalTime":_obj.data.km4TotalTime,
                    "streamName": datainfo.streamName,
                    "liveStartTime":datainfo.liveStartTime,
                    "liveEndTime":datainfo.liveEndTime
                };*/
                console.log(JSON.stringify(datainfo))
                window.jzjlive.LiveUrlSuccess(JSON.stringify(datainfo));
            }else{
                window.jzjlive.LiveUrlFail(_obj.message);
            }
        },
        error:function(err){
            window.jzjlive.LiveUrlFail("查询数据错误，请稍后再试");
        }
    });
}
var trainlogincount = 0;
function trainlogin(datainfo, photo64, collecttime,imei) {
    var datajson = JSON.parse(datainfo);
    console.log(datajson)
    $.ajax({
        type: "post",
        url: datajson.commurl + '/systemtime/now',
        contentType: "application/json;charset=utf-8",
        timeout:10000,
        success: function(data) {
            console.log(data.now);
            trainloginnow(datainfo, photo64,data.now,imei)
        },
        error: function(jqXHR, textStatus, errorThrown) {
            trainloginnow(datainfo, photo64,collecttime,imei)
        }
    });
}

function trainloginnow(datainfo, photo64, collecttime,imei) { //and调用
    var datajson = JSON.parse(datainfo);
    var kmTotalTime = 0;
    if(datajson.subject==1){
        kmTotalTime=  datajson.km1TotalTime
    }else{
        kmTotalTime=  datajson.km4TotalTime
    }
    $.ajax({
        type: "post",
        url:  datajson.commurl + '/trainperiod/studentStartTraining',
        contentType: "application/json;charset=utf-8",
        timeout:10000,
        data: JSON.stringify({
            "idcard": datajson.idcard,
            "subject": datajson.subject,
            "traintype": datajson.traintype,
            "starttime": collecttime,
            "traintimes": 0,
            "kmTotalTime":kmTotalTime,
            "trainVideoType": datajson.trainVideoType,
            "phoneImei":imei,
            "loginPhotoBase64": photo64
        }),
        success: function(data) {
            console.log(JSON.stringify(data));
            if(data.errorcode == 0) {
                var  photoLeftTopMark=0;
                if(data.photoLeftTopMark){
                    photoLeftTopMark=data.photoLeftTopMark;
                }
                var  photoRightBottomMark="";
                if(data.photoRightBottomMark){
                    photoRightBottomMark=data.photoRightBottomMark;
                }
                var  photoFaceCompare=1;
                if(data.photoFaceCompare){
                    photoFaceCompare=data.photoFaceCompare;
                }
                var rusultjson = JSON.stringify({
                    "loginPhotoId":data.loginPhotoId,
                    "systemTime": data.systemTime,
                    "idcard": datajson.idcard,
                    "commurl": datajson.commurl,
                    "liveurl":datajson.liveurl,
                    "subject": datajson.subject,
                    "areaCodeProvince": data.areaCodeProvince,
                    "areaCodeCity": data.areaCodeCity,
                    "areaCodeTown": data.areaCodeTown,
                    "schoolInscode": data.inscode,
                    "startTimingType": data.startTimingType,
                    "uploadRecordInterval": data.uploadRecordInterval,
                    "photoInterval": data.photoInterval,
                    "trainLeastTimelength": data.trainLeastTimelength,
                    "starttime": collecttime,
                    "trainId": data.trainId,
                    "trainVideoType": datajson.trainVideoType,
                    "traintype": datajson.traintype,
                    "leftMark":photoLeftTopMark,
                    "bottomMark":photoRightBottomMark,
                    "photoFaceCompare":photoFaceCompare,
                    "endTrainHours":data.endTrainHours+"",
                    "imei":imei,
                    "questiontype":datajson.questiontype,
                    "kmRemainHours":data.kmRemainHours,
                    "streamName": datajson.streamName,
                    "name":datajson.name,
                    "baseurl":datajson.baseurl,
                    "liveStartTime":datajson.liveStartTime,
                    "liveEndTime":datajson.liveEndTime
                });
                trainlogincount = 0;
                getLiveUrl(rusultjson);
                window.jzjlive.LoginSuccess(rusultjson);
                //location.href = "livebroadcast.html?liveurl="+datajson.liveurl;

            } else if(data.errorcode == 1) {
                trainlogincount = 0;
                window.jzjlive.LoginFail(data.errorcode, data.message);
            } else if(data.errorcode == 2) {
                trainlogincount++;

                if(trainlogincount > 3) {
                    trainlogincount = 0;
                    window.jzjlive.LoginFail(1, "人脸识别失败，识别次数已达上限！");
                } else {
                    console.log(trainlogincount);
                    window.jzjlive.takePhoto();
                }

            }
        },
        error: function(jqXHR, textStatus, errorThrown) {
            trainlogincount = 0;
            if(textStatus=="timeout"){
                window.jzjlive.LoginFail(1, "加载超时，请检查网络连接！");
            }else{
                window.jzjlive.LoginFail(1, "网络异常，请检查网络连接！");
            }
        }
    });

}

function uploadtraintime(datainfo, mItemCode,mCountTiming) {
        var datajson = JSON.parse(datainfo);
        $.ajax({
            type: "post",
            url:  datajson.commurl + '/systemtime/now',
            contentType: "application/json;charset=utf-8",
            timeout:10000,
            success: function(data) {
                console.log(data.now);
                uploadtraintimenow(datainfo, mItemCode,mCountTiming,data.now)
            },
            error: function(jqXHR, textStatus, errorThrown) {
                uploadtraintimenow(datainfo, mItemCode,mCountTiming,'')
            }
        });
    }
function uploadtraintimenow(datainfo, mItemCode,mCountTiming,nowtime) { //and调用学时
    var datajson = JSON.parse(datainfo);
    var time = parseInt(mCountTiming / 60);
    $.ajax({
        type: "post",
        url:  datajson.commurl + '/trainperiod/studentBeBeingTraining',
        contentType: "application/json;charset=utf-8",
        timeout:10000,
        data: JSON.stringify({
            "trainId": datajson.trainId,
            "itemcode": gettraincode(datajson.traintype, datajson.subject, mItemCode),
            "traintimes": time,
            "idcard":datajson.idcard,
            "phoneImei":datajson.imei,
            "nowTime":nowtime
        }),
        success: function(data) {
            console.log(JSON.stringify(data));

            if(data.errorcode == 0) {
                window.jzjlive.traintimeSuccess();
            } else {
                window.jzjlive.traintimeFail(data.errorcode, data.message);
            }

        },
        error: function(jqXHR, textStatus, errorThrown) {
            trainlogincount = 0;
            if(textStatus=="timeout"){
                window.jzjlive.traintimeFail(2, "加载超时，请检查网络连接！");
            }else{
                window.jzjlive.traintimeFail(2, "网络异常，请检查网络连接！");
            }
        }
    });
}
var status=0;
var uploadsignoutcount=0;
function uploadSignout(datainfo, photo64, mCountTiming, collecttime,photoFaceCompare) {
    var datajson = JSON.parse(datainfo);
    // uploadSignoutnow(datainfo, photo64, 200*60, collecttime,photoFaceCompare)
    $.ajax({
        type: "post",
        url:  datajson.commurl + '/systemtime/now',
        contentType: "application/json;charset=utf-8",
        timeout:10000,
        success: function(data) {
            console.log(data.now);
            uploadSignoutnow(datainfo, photo64, mCountTiming, data.now,photoFaceCompare)
        },
        error: function(jqXHR, textStatus, errorThrown) {
            uploadSignoutnow(datainfo, photo64, mCountTiming, collecttime,photoFaceCompare)
        }
    });
}
function uploadSignoutnow (datainfo, photo64, mCountTiming, collecttime,photoFaceCompare) {
    var time = parseInt(mCountTiming / 60);
    var datajson = JSON.parse(datainfo);
    status=1;
    $.ajax({
        type: "post",
        url:  datajson.commurl + '/trainperiod/studentEndTraining',
        contentType: "application/json;charset=utf-8",
        timeout:10000,
        data: JSON.stringify({
            "trainId": datajson.trainId,
            "idcard": datajson.idcard,
            "endtime": collecttime,
            "traintimes": time,
            "loginPhotoId": datajson.loginPhotoId,
            "photoFaceCompare":photoFaceCompare,
            "logoutPhotoBase64":photo64,
            "phoneImei":datajson.imei
        }),
        success: function(data) {
            console.log(JSON.stringify(data));
            if(data.errorcode == 0) {
                window.jzjlive.SignoutSuccess();
                status=0;
            } else if(data.errorcode == 2) {
                uploadsignoutcount++;
                window.jzjlive.SignoutFail(2, "人脸识别失败");
                if(uploadsignoutcount > 3) {
                    uploadsignoutcount = 0;
                    window.jzjlive.SignoutFail(1, "人脸识别失败，识别次数已达上限！");
                } else {
                    window.jzjlive.repeatUploadSignout();
                }
            }else {
                window.jzjlive.SignoutFail(data.errorcode, data.message);
            }
        },
        error: function(jqXHR, textStatus, errorThrown) {
            trainlogincount = 0;
            if(textStatus=="timeout"){
                window.jzjlive.SignoutFail(1, "加载超时，请检查网络连接！");
            }else{
                window.jzjlive.SignoutFail(1, "网络异常，请检查网络连接！");
            }
        }
    });
}
function uploadphoto(datainfo, photo64, collecttime) {
    var datajson = JSON.parse(datainfo);
    $.ajax({
        type: "post",
        url: datajson.commurl  + '/systemtime/now',
        contentType: "application/json;charset=utf-8",
        timeout:10000,
        success: function(data) {
            console.log(data.now)
            uploadphotonow(datainfo, photo64,data.now)
        },
        error: function(jqXHR, textStatus, errorThrown) {
            uploadphotonow(datainfo, photo64,collecttime)
        }
    });
}
var uploadphotocount = 0;
function uploadphotonow(datainfo, photo64, collecttime) { //and调用
    var datajson = JSON.parse(datainfo);
    var photoFaceCompare=datajson.photoFaceCompare;
    if(uploadphotocount>2){
        photoFaceCompare=0;
    }
    var senddata=JSON.stringify({
        "areacodetown": datajson.areaCodeTown,
        "areacodecity": datajson.areaCodeCity,
        "areacodeprovince": datajson.areaCodeProvince,
        "idcard": datajson.idcard,
        "trainId": datajson.trainId,
        "photoFaceCompare":photoFaceCompare,
        "collecttime": collecttime,
        "randomPhotoBase64": photo64,
        "inscode": datajson.schoolInscode,
        "phoneImei":datajson.imei
    });
    $.ajax({
        type: "post",
        url: datajson.commurl  + '/trainphototemp/appPhotoTempImageUp',
        contentType: "application/json;charset=utf-8",
        timeout:10000,
        data:senddata,
        success: function(data) {
            console.log(JSON.stringify(data));
            if(data.errorcode == 0) {
                uploadphotocount = 0;
                window.jzjlive.photoSuccess(datajson);
            } else if(data.errorcode == 2) {
                uploadphotocount++;
                console.log(uploadphotocount);
                if(uploadphotocount > 3) {
                    uploadphotocount = 0;
                    window.jzjlive.photoFail(1, "人脸识别失败，识别次数已达上限！");
                } else {
                    window.jzjlive.takePhoto(status);
                }
            }else {
                uploadphotocount = 0;
                window.jzjlive.photoFail(data.errorcode, data.message);
            }
        },
        error: function(jqXHR, textStatus, errorThrown) {
            trainlogincount = 0;
            if(textStatus=="timeout"){
                window.jzjlive.photoFail(2, "加载超时，请检查网络连接！");
            }else{
                window.jzjlive.photoFail(2, "网络异常，请检查网络连接！");
            }
        }
    });
}
function getlivestatus(data){
    var datajson = JSON.parse(data);
    $.ajax({
        url:datajson.baseurl+'/live/liveStatus?system=hushi',
        data:JSON.stringify({
            "streamName":datajson.streamName,
            "idcard":datajson.idcard,
            "name":datajson.name,
            "subject":datajson.subject,
            "liveStartTime":datajson.liveStartTime,
            "liveEndTime":datajson.liveEndTime
        }),
        type:'POST',
        contentType: "application/json;charset=utf-8",
        dataType:'json',
        success:function(_obj){
            console.log(_obj.data.status+"==="+JSON.stringify(_obj));
            if(_obj.errorcode==1){
                window.jzjlive.playStatus(_obj.data.status);
            }else{
                window.jzjlive.playStatusFail(_obj.message);
            }
        },
        error:function(){
            window.jzjlive.playStatusWrong();
        }
    });
}
function getnowtime(){
    $.ajax({
        type: "post",
        url: commurl + '/systemtime/now',
        contentType: "application/json;charset=utf-8",
        timeout:10000,
        success: function(data) {
            window.jzjlive.gettimeSuccess(data.now);
        },
        error: function(jqXHR, textStatus, errorThrown) {
            if(textStatus=="timeout"){
                window.jzjlive.gettimeFail(2, "加载超时，请检查网络连接！");
            }else{
                window.jzjlive.gettimeFail(2, "网络异常，请检查网络连接！");
            }
        }
    });
}
function gettraincode(carcode, subjectnumber, incode) {
    var temp = "";
    var code = incode.substring(0, 1);
    if(subjectnumber == "1") {
        switch(code) {
            case "1":
            case "2":
            case "3":
            case "4":
                temp = "01";
                break;
            case "5":
            case "6":
                temp = "02";
                break;
            default:
                temp = "01";
                break;
        }
    } else {
        switch(code) {
            case "1":
                temp = "48";
                break;
            case "2":
                temp = "41";
                break;
            case "3":
                temp = "41";
                break;
            case "4":
                temp = "42";
                break;
            case "5":
                temp = "45";
                break;
            case "6":
                temp = "45";
                break;
            case "7":
                temp = "47";
                break;
            default:
                temp = "41";
                break;
        }
    }
    return "4" + getCarCode(carcode) + subjectnumber + temp + "0000";
}
function getCarCode(value) {
    var color = "";
    switch(value) {
        case "A1":
            color = "01";
            break;
        case "A2":
            color = "02";
            break;
        case "A3":
            color = "03";
            break;
        case "B1":
            color = "11";
            break;
        case "B2":
            color = "12";
            break;
        case "C1":
            color = "21";
            break;
        case "C2":
            color = "22";
            break;
        case "C3":
            color = "23";
            break;
        case "C4":
            color = "24";
            break;
        case "C5":
            color = "25";
            break;
        case "D":
            color = "31";
            break;
        case "E":
            color = "32";
            break;
        case "F":
            color = "33";
            break;
        case "M":
            color = "41";
            break;
        case "N":
            color = "42";
            break;
        case "P":
            color = "43";
            break;
        default:
            color = "21";
            break;
    }
    return color;
}
function getTrainSubject(subject){
    if(subject=1){
        return '科目一'
    }else if(subject==4){
        return '科目四'
    }
}
function getUrlParam(url,name){
    var pattern = new RegExp("[?&]" + name +"\=([^&]+)","g");
    var matcher = pattern.exec(url);
    var items = null;
    if(matcher != null){
        try{
            items = decodeURIComponent(decodeURIComponent(matcher[1]));
        }catch(e){
            try{
                items = decodeURIComponent(matcher[1]);
            }catch(e){
                items = matcher[1];
            }
        }
    }
    return items;
}
function getDate(time){
    return time.substr(0,10);
}
function getTime(time){
    return time.substr(11,time.length);
}